## prometheus-postgres-exporter 0.1.1+ds

=== Makefile ===

GO_SRC := $(shell find . -type f -name "*.go")

CONTAINER_NAME ?= wrouesnel/postgres_exporter:latest

all: vet test postgres_exporter

# Simple go build
postgres_exporter: $(GO_SRC)
	CGO_ENABLED=0 go build -a -ldflags "-extldflags '-static' -X main.Version=$(shell git describe --dirty)" -o postgres_exporter .

postgres_exporter_integration_test: $(GO_SRC)
	CGO_ENABLED=0 go test -c -tags integration \
	    -a -ldflags "-extldflags '-static' -X main.Version=git:$(shell git describe --dirty)" -o postgres_exporter_integration_test .

# Take a go build and turn it into a minimal container
docker: postgres_exporter
	docker build -t $(CONTAINER_NAME) .

vet:
	go vet .

test:
	go test -v -cover .

test-integration: postgres_exporter postgres_exporter_integration_test
	tests/test-smoke ./postgres_exporter ./postgres_exporter_integration_test

# Do a self-contained docker build - we pull the official upstream container
# and do a self-contained build.
docker-build: postgres_exporter
	docker run -v $(shell pwd):/go/src/github.com/wrouesnel/postgres_exporter \
	    -v $(shell pwd):/real_src \
	    -e SHELL_UID=$(shell id -u) -e SHELL_GID=$(shell id -g) \
	    -w /go/src/github.com/wrouesnel/postgres_exporter \
		golang:1.7-wheezy \
		/bin/bash -c "make >&2 && chown $$SHELL_UID:$$SHELL_GID ./postgres_exporter"
	docker build -t $(CONTAINER_NAME) .

.PHONY: docker-build docker test vet

=== debian/changelog ===
prometheus-postgres-exporter (0.1.1+ds-1) unstable; urgency=medium

  * Initial packaging. (Closes: #854014).

 -- Martín Ferrari <tincho@debian.org>  Sat, 04 Feb 2017 16:50:34 +0000

=== debian/control ===
Source: prometheus-postgres-exporter
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 0.17~), golang-any,
               golang-github-blang-semver-dev,
               golang-github-lib-pq-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
Homepage: https://github.com/wrouesnel/postgres_exporter/

Package: prometheus-postgres-exporter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for PostgreSQL server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 Supportes Postgres versions 9.1 and up.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_GOPKG := github.com/wrouesnel/postgres_exporter

BUILDDIR := build

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/postgres_exporter \
            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

## prometheus-postgres-exporter 0.2.0+ds

=== Makefile ===

GO_SRC := $(shell find -type f -name '*.go' ! -path '*/vendor/*')

CONTAINER_NAME ?= wrouesnel/postgres_exporter:latest
VERSION ?= $(shell git describe --dirty)

all: vet test postgres_exporter

# Cross compilation (e.g. if you are on a Mac)
cross: docker-build docker

# Simple go build
postgres_exporter: $(GO_SRC)
	CGO_ENABLED=0 go build -a -ldflags "-extldflags '-static' -X main.Version=$(VERSION)" -o postgres_exporter .

postgres_exporter_integration_test: $(GO_SRC)
	CGO_ENABLED=0 go test -c -tags integration \
	    -a -ldflags "-extldflags '-static' -X main.Version=$(VERSION)" -o postgres_exporter_integration_test -cover -covermode count .

# Take a go build and turn it into a minimal container
docker: postgres_exporter
	docker build -t $(CONTAINER_NAME) .

vet:
	go vet

# Check code conforms to go fmt
style:
	! gofmt -s -l $(GO_SRC) 2>&1 | read 2>/dev/null

# Format the code
fmt:
	gofmt -s -w $(GO_SRC)

test:
	go test -v -covermode count -coverprofile=cover.test.out

test-integration: postgres_exporter postgres_exporter_integration_test
	tests/test-smoke "$(shell pwd)/postgres_exporter" "$(shell pwd)/postgres_exporter_integration_test_script $(shell pwd)/postgres_exporter_integration_test $(shell pwd)/cover.integration.out"

# Do a self-contained docker build - we pull the official upstream container
# and do a self-contained build.
docker-build:
	docker run -v $(shell pwd):/go/src/github.com/wrouesnel/postgres_exporter \
	    -v $(shell pwd):/real_src \
	    -e SHELL_UID=$(shell id -u) -e SHELL_GID=$(shell id -g) \
	    -w /go/src/github.com/wrouesnel/postgres_exporter \
		golang:1.7-wheezy \
		/bin/bash -c "make >&2 && chown $$SHELL_UID:$$SHELL_GID ./postgres_exporter"
	docker build -t $(CONTAINER_NAME) .

push:
	docker push $(CONTAINER_NAME)

.PHONY: docker-build docker test vet push cross

=== debian/changelog ===
prometheus-postgres-exporter (0.2.0+ds-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 May 2017 00:07:32 +0200

prometheus-postgres-exporter (0.2.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 May 2017 22:25:36 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
+Testsuite: autopkgtest
 
 Package: prometheus-postgres-exporter
 Architecture: any

=== debian/tests/control ===
Tests: build-test
Depends: @builddeps@

## prometheus-postgres-exporter 0.4.1+ds

=== Makefile ===

COVERDIR = .coverage
TOOLDIR = tools
BINDIR = bin
RELEASEDIR = release

DIRS = $(BINDIR) $(RELEASEDIR)

GO_SRC := $(shell find . -name '*.go' ! -path '*/vendor/*' ! -path 'tools/*' ! -path 'bin/*' ! -path 'release/*' )
GO_DIRS := $(shell find . -type d -name '*.go' ! -path '*/vendor/*' ! -path 'tools/*' ! -path 'bin/*' ! -path 'release/*' )
GO_PKGS := $(shell go list ./... | grep -v '/vendor/')

CONTAINER_NAME ?= wrouesnel/postgres_exporter:latest
BINARY := $(shell basename $(shell pwd))
VERSION ?= $(shell git describe --dirty 2>/dev/null)
VERSION_SHORT ?= $(shell git describe --abbrev=0 2>/dev/null)

ifeq ($(VERSION),)
VERSION := v0.0.0
endif

ifeq ($(VERSION_SHORT),)
VERSION_SHORT := v0.0.0
endif

# By default this list is filtered down to some common platforms.
platforms := $(subst /,-,$(shell go tool dist list | grep -e linux -e windows -e darwin | grep -e 386 -e amd64))
PLATFORM_BINS := $(patsubst %,$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%/$(BINARY),$(platforms))
PLATFORM_DIRS := $(patsubst %,$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%,$(platforms))
PLATFORM_TARS := $(patsubst %,$(RELEASEDIR)/$(BINARY)_$(VERSION_SHORT)_%.tar.gz,$(platforms))

# These are evaluated on use, and so will have the correct values in the build
# rule (https://vic.demuzere.be/articles/golang-makefile-crosscompile/)
PLATFORMS_TEMP = $(subst -, ,$(patsubst $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%/$(BINARY),%,$@))
GOOS = $(word 1, $(PLATFORMS_TEMP))
GOARCH = $(word 2, $(PLATFORMS_TEMP))

CURRENT_PLATFORM := $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_$(shell go env GOOS)-$(shell go env GOARCH)/$(BINARY)

CONCURRENT_LINTERS ?=
ifeq ($(CONCURRENT_LINTERS),)
CONCURRENT_LINTERS = $(shell gometalinter --help | grep -o 'concurrency=\w*' | cut -d= -f2 | cut -d' ' -f1)
endif

LINTER_DEADLINE ?= 30s

$(shell mkdir -p $(DIRS))

export PATH := $(TOOLDIR)/bin:$(PATH)
SHELL := env PATH=$(PATH) /bin/bash

all: style lint test binary

binary: $(BINARY)

$(BINARY): $(CURRENT_PLATFORM)
	ln -sf $< $@

$(PLATFORM_BINS): $(GO_SRC)
	CGO_ENABLED=0 GOOS=$(GOOS) GOARCH=$(GOARCH) go build -a \
		-ldflags "-extldflags '-static' -X main.Version=$(VERSION)" \
		-o $@ .

$(PLATFORM_DIRS): $(PLATFORM_BINS)

$(PLATFORM_TARS): $(RELEASEDIR)/%.tar.gz : $(BINDIR)/%
	tar -czf $@ -C $(BINDIR) $$(basename $<)
	
release-bin: $(PLATFORM_BINS)

release: $(PLATFORM_TARS)

# Take a go build and turn it into a minimal container
docker: $(CURRENT_PLATFORM)
	docker build --build-arg=binary=$(CURRENT_PLATFORM) -t $(CONTAINER_NAME) .

style: tools
	gometalinter --disable-all --enable=gofmt --vendor

lint: tools
	@echo Using $(CONCURRENT_LINTERS) processes
	gometalinter -j $(CONCURRENT_LINTERS) --deadline=$(LINTER_DEADLINE) --disable=gotype --disable=gocyclo $(GO_DIRS)

fmt: tools
	gofmt -s -w $(GO_SRC)

postgres_exporter_integration_test: $(GO_SRC)
	CGO_ENABLED=0 go test -c -tags integration \
		-a -ldflags "-extldflags '-static' -X main.Version=$(VERSION)" \
		-o postgres_exporter_integration_test -cover -covermode count .

test: tools
	@mkdir -p $(COVERDIR)
	@rm -f $(COVERDIR)/*
	for pkg in $(GO_PKGS) ; do \
		go test -v -covermode count -coverprofile=$(COVERDIR)/$$(echo $$pkg | tr '/' '-').out $$pkg || exit 1 ; \
	done
	gocovmerge $(shell find $(COVERDIR) -name '*.out') > cover.test.out

test-integration: postgres_exporter postgres_exporter_integration_test
	tests/test-smoke "$(shell pwd)/postgres_exporter" "$(shell pwd)/postgres_exporter_integration_test_script $(shell pwd)/postgres_exporter_integration_test $(shell pwd)/cover.integration.out"

cover.out: tools
	gocovmerge cover.*.out > cover.out

clean:
	[ ! -z $(BINDIR) ] && [ -e $(BINDIR) ] && find $(BINDIR) -print -delete || /bin/true
	[ ! -z $(COVERDIR) ] && [ -e $(COVERDIR) ] && find $(COVERDIR) -print -delete || /bin/true
	[ ! -z $(RELEASEDIR) ] && [ -e $(RELEASEDIR) ] && find $(RELEASEDIR) -print -delete || /bin/true
	rm -f postgres_exporter postgres_exporter_integration_test
	
tools:
	$(MAKE) -C $(TOOLDIR)
	
.PHONY: tools style fmt test all release binary clean

=== tools/Makefile ===
# Makefile to build the tools used in the build system.
# If recreating from scratch, you will need a local install of govendor
# and to run govendor init in this folder before running govendor fetch.

# Ensure we use local bin dir
export PATH := bin:$(PATH)
SHELL := env PATH=$(PATH) /bin/bash

THIS_FILE := $(lastword $(MAKEFILE_LIST))

# This function is used to get the linters used by metalinter
get_metalinters := gometalinter --help | grep -oP '\s+\w+:\s*\(.+\)' | tr -s ' ' | cut -d' ' -f3 | grep -oP '[^()]+'

# This is a list of external tools we want to vendor
TOOL_SRCS := github.com/kardianos/govendor \
 github.com/wadey/gocovmerge \
 github.com/mattn/goveralls \
 github.com/alecthomas/gometalinter

# This is populated by imported dependencies from gometalinter
METATOOL_SRCS := 

GO_SRC := $(shell find $(SOURCEDIR) -name '*.go')

GO := GOPATH=$(shell pwd) go

DEFAULT: all

tools.deps: $(GO_SRC)
	@# Generate build patterns for static tools
	@for pkg in $(TOOL_SRCS); do \
		echo -e "bin/$$(basename $$pkg): $$GO_SRC\n\t\$$(GO) install -v $$pkg" ; \
	done > tools.deps

-include tools.deps

metatools.deps: bin/gometalinter $(GO_SRC)
	# Generate build patterns for metalinters tools
	@echo -e "METATOOL_SRCS+=$(shell $(get_metalinters))" > metatools.deps
	@for pkg in $(shell $(get_metalinters)) ; do \
		echo -e "bin/$$(basename $$pkg): $$GO_SRC\n\t\$$(GO) install -v $$pkg" ; \
	done >> metatools.deps

-include metatools.deps
	
update:
	# Fetch govendor, then rebuild govendor.
	govendor fetch github.com/kardianos/govendor
	$(GO) install -v github.com/kardianos/govendor
	# Fetch gometalinter and rebuild gometalinter.
	govendor fetch github.com/alecthomas/gometalinter
	$(GO) install -v github.com/alecthomas/gometalinter
	$(MAKE) -f $(THIS_FILE) update-phase-2

update-phase-2:
	# Fetch the new metalinter list.
	for pkg in $(TOOL_SRCS) $$($(get_metalinters)); do \
		govendor fetch -v $$pkg ; \
	done	

clean:
	rm -rf bin pkg tools.deps metatools.deps

all: $(addprefix bin/,$(notdir $(TOOL_SRCS) $(METATOOL_SRCS) ))

# TOOL_SRCS is included here since we'll never really have these files.
.PHONY: all update clean $(TOOL_SRCS) $(METATOOL_SRCS)

=== debian/changelog ===
prometheus-postgres-exporter (0.4.1+ds-2) unstable; urgency=medium

  * Update defaults for new cmdline flags format.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 17:08:11 +0000

prometheus-postgres-exporter (0.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add test fixtures.
  * Packaging updates from cme; compat bump; make dep on daemon
    conditional.
  * Remove unused lintian overrides.
  * Use automatic autopkgtests
  * Use pkg-info.mk and XS-Go-Import-Path.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 16:59:24 +0000

=== debian/control ===
Source: prometheus-postgres-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-lib-pq-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
Homepage: https://github.com/wrouesnel/postgres_exporter/
XS-Go-Import-Path: github.com/wrouesnel/postgres_exporter

Package: prometheus-postgres-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for PostgreSQL server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 Supportes Postgres versions 9.1 and up.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := tests/

BUILDDIR := build

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/postgres_exporter \
            debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)

## prometheus-postgres-exporter 0.4.6%2Bds

=== debian/changelog ===
prometheus-postgres-exporter (0.4.6+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add missing --inherit flag to daemon; can't work without it!
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Oct 2018 18:53:49 +0000

prometheus-postgres-exporter (0.4.6+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream release.
  * debian/rules: Install test files.
  * Bump debhelper compat level to 11.
  * debian/copyright: Document Files-Excluded.
  * debian/control: Bump Standards-Version (no changes).
  * debian/postinst: Do not change permissions recursively.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Aug 2018 16:07:06 +0000

prometheus-postgres-exporter (0.4.1+ds-2~bpo9+3) stretch-backports; urgency=medium

  * Backport packaging improvements from sid.
  * Add gbp.conf.
  * debian/control: Tighten dependency on prometheus-common.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Aug 2018 16:47:46 +0000

prometheus-postgres-exporter (0.4.1+ds-2~bpo9+2) stretch-backports; urgency=medium

  * Add missing depends on kingpin; fixes build failures in BPO.

 -- Martín Ferrari <tincho@debian.org>  Tue, 09 Jan 2018 15:16:31 +0000

prometheus-postgres-exporter (0.4.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Thu, 21 Dec 2017 03:07:34 +0000

prometheus-postgres-exporter (0.2.0+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Fri, 03 Nov 2017 06:12:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-blang-semver-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
+               golang-github-prometheus-common-dev (>= 0+git20180518.7600349),
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
 XS-Go-Import-Path: github.com/wrouesnel/postgres_exporter

## prometheus-postgres-exporter 0.4.6+ds

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                golang-github-blang-semver-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180518.7600349),
+               golang-github-prometheus-common-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 #export DH_VERBOSE=1
-export DH_GOLANG_INSTALL_EXTRA := tests/
+export DH_GOLANG_INSTALL_EXTRA := cmd/postgres_exporter/tests/
 
 BUILDDIR := build

## prometheus-postgres-exporter 0.4.7+ds

=== Makefile ===
--- 
+++ 
@@ -25,17 +25,19 @@
 
 # By default this list is filtered down to some common platforms.
 platforms := $(subst /,-,$(shell go tool dist list | grep -e linux -e windows -e darwin | grep -e 386 -e amd64))
-PLATFORM_BINS := $(patsubst %,$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%/$(BINARY),$(platforms))
+PLATFORM_BINS_TMP := $(patsubst %,$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%/$(BINARY),$(platforms))
+PLATFORM_BINS := $(patsubst $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_windows-%/$(BINARY),$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_windows-%/$(BINARY).exe,$(PLATFORM_BINS_TMP))
 PLATFORM_DIRS := $(patsubst %,$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%,$(platforms))
 PLATFORM_TARS := $(patsubst %,$(RELEASEDIR)/$(BINARY)_$(VERSION_SHORT)_%.tar.gz,$(platforms))
 
 # These are evaluated on use, and so will have the correct values in the build
 # rule (https://vic.demuzere.be/articles/golang-makefile-crosscompile/)
-PLATFORMS_TEMP = $(subst -, ,$(patsubst $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%/$(BINARY),%,$@))
+PLATFORMS_TEMP = $(subst /, ,$(subst -, ,$(patsubst $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_%,%,$@)))
 GOOS = $(word 1, $(PLATFORMS_TEMP))
 GOARCH = $(word 2, $(PLATFORMS_TEMP))
 
-CURRENT_PLATFORM := $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_$(shell go env GOOS)-$(shell go env GOARCH)/$(BINARY)
+CURRENT_PLATFORM_TMP := $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_$(shell go env GOOS)-$(shell go env GOARCH)/$(BINARY)
+CURRENT_PLATFORM := $(patsubst $(BINDIR)/$(BINARY)_$(VERSION_SHORT)_windows-%/$(BINARY),$(BINDIR)/$(BINARY)_$(VERSION_SHORT)_windows-%/$(BINARY).exe,$(CURRENT_PLATFORM_TMP))
 
 CONCURRENT_LINTERS ?=
 ifeq ($(CONCURRENT_LINTERS),)

=== debian/changelog ===
prometheus-postgres-exporter (0.4.7+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add missing sphinxdoc dependency.
  * Name update.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 15:58:25 +0000

prometheus-postgres-exporter (0.4.7+ds-2) unstable; urgency=medium

  * Use correct namespace for version metadata and remove unused vars.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 18:58:09 +0000

prometheus-postgres-exporter (0.4.7+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #920346.
  * debian/gbp.conf: Update repo layout.
  * Update Standards-Version with no changes.
  * Add manpage and version metadata,

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Feb 2019 04:51:10 +0000

prometheus-postgres-exporter (0.4.6+ds-2) unstable; urgency=medium

  * Update Standards-Version with no changes.
  * Add missing --inherit flag to daemon; can't work without it!

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Oct 2018 19:03:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: prometheus-postgres-exporter
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -10,11 +10,11 @@
                golang-github-blang-semver-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
+               golang-github-prometheus-common-dev (>= 0+git20180518.7600349),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
@@ -25,6 +25,7 @@
 Depends: daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},
+         ${sphinxdoc:Depends},
 Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for PostgreSQL server metrics
  Prometheus exporter for PostgreSQL server metrics, written in Go.

## prometheus-postgres-exporter 0.5.1+ds

=== debian/changelog ===
prometheus-postgres-exporter (0.5.1+ds-1) unstable; urgency=medium

  [ Sven Hoexter ]
  * New upstream release.

 -- Martina Ferrari <tincho@debian.org>  Fri, 02 Aug 2019 16:01:05 +0000

## prometheus-postgres-exporter 0.8.0+ds

=== debian/changelog ===
prometheus-postgres-exporter (0.8.0+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:04:23 +0200

prometheus-postgres-exporter (0.8.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add myself to uploaders.
  * Bump minimum required version of golang-github-lib-pq to support
    SCRAM-SHA-256 authentication.
  * Update description (now supports Postgres 9.4 and up).
  * lintian: fix rules-requires-root.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Martina Ferrari ]
  * Update initscript.
  * Update my name.

 -- Martina Ferrari <tincho@debian.org>  Mon, 20 Jan 2020 12:25:39 +0000

prometheus-postgres-exporter (0.5.1+ds-2) unstable; urgency=medium

  * Name update.
  * Add missing sphinxdoc dependency.
  * Install sample queries.yaml file. Closes: #939507
  * Fix spelling mistake in source.
  * Update Standards-Version and Compat level. Add needed Pre-Depends for
    sysvinit.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 16:59:41 +0000

=== debian/control ===
Source: prometheus-postgres-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tincho@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-lib-pq-dev (>= 1.2.0~),
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
Homepage: https://github.com/wrouesnel/postgres_exporter/
XS-Go-Import-Path: github.com/wrouesnel/postgres_exporter

Package: prometheus-postgres-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for PostgreSQL server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 Supports Postgres versions 9.4 and up.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := cmd/postgres_exporter/tests/

BUILDDIR := $(CURDIR)/build

BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X main.Version=$(DEB_VERSION_UPSTREAM)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for PostgreSQL"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/postgres_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1

override_dh_auto_install:

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-postgres-exporter-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/wrouesnel/postgres_exporter/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-postgres-exporter 0.10.1

=== Makefile ===
# Ensure that 'all' is the default target otherwise it will be the first target from Makefile.common.
all::

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le
DOCKER_REPO  ?= prometheuscommunity

include Makefile.common

DOCKER_IMAGE_NAME       ?= postgres-exporter

=== debian/changelog ===
prometheus-postgres-exporter (0.10.1-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release (fixes ineffective --log.level flag)
  * Replace golang-github-go-kit-kit-dev build-dep with
    golang-github-go-kit-log-dev
  * Refresh patches

  [ Martina Ferrari ]
  * Update my name and email address

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jan 2022 19:13:29 +0000

prometheus-postgres-exporter (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Add new build-deps
    - golang-github-go-kit-kit-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Drop +ds version suffix, since we no longer need to unvendor
  * Update maintainer / uploader email addresses
  * Update upstream project URLs / import paths
  * Bump debhelper-compat version to 13
  * Bump Standards-Version to 4.6.0 (no changes)
  * Update gbp configuration following Go Team new workflow
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update copyright holders
  * Add NOTICE to docs as required by Apache-2.0 license
  * Update debian/watch
  * Add missing maint-script adduser dependency
  * Change systemd service to Restart=on-failure

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 Dec 2021 12:15:19 +0000

=== debian/control ===
Source: prometheus-postgres-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-go-kit-log-dev,
               golang-github-lib-pq-dev (>= 1.2.0~),
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
Homepage: https://github.com/prometheus-community/postgres_exporter
XS-Go-Import-Path: github.com/prometheus-community/postgres_exporter

Package: prometheus-postgres-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for PostgreSQL server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 Supports Postgres versions 9.4 and up.

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,24 @@
 export DH_GOLANG_INSTALL_EXTRA := cmd/postgres_exporter/tests/
 
 BUILDDIR := $(CURDIR)/build
+METAPKG := github.com/prometheus/common
 
+BRANCH     := debian/sid
+USER       := team+pkg-go@tracker.debian.org
+BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
+    +%Y%m%d-%H:%M:%S)
+GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
 BUILDTAGS  :=
 BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
-  " -X main.Version=$(DEB_VERSION_UPSTREAM)"
+  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
+    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
+	-X $(METAPKG)/version.Branch=$(BRANCH)\
+	-X $(METAPKG)/version.BuildUser=$(USER)\
+	-X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
+	-X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS := "$(BINNAME) \\- Prometheus exporter for PostgreSQL"
@@ -20,7 +30,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/postgres_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/postgres_exporter $(BUILDDIR)/bin/$(BINNAME)
 	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' build/$(BINNAME).1

## prometheus-postgres-exporter 0.11.1

=== debian/changelog ===
prometheus-postgres-exporter (0.11.1-3) unstable; urgency=medium

  * Add new 01-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 02:13:05 +0000

prometheus-postgres-exporter (0.11.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 15:09:05 +0100

prometheus-postgres-exporter (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patch 01-Fix_spelling_errors (applied upstream)
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 27 Aug 2022 20:48:08 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                golang-github-lib-pq-dev (>= 1.2.0~),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git

## prometheus-postgres-exporter 0.13.2

=== debian/changelog ===
prometheus-postgres-exporter (0.13.2-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:22:24 +0530

prometheus-postgres-exporter (0.13.2-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:47 +1200

prometheus-postgres-exporter (0.13.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: fix override_dh_auto_install and drop redundant
    debian/install

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 24 Jul 2023 01:11:59 +0000

prometheus-postgres-exporter (0.13.1-2) unstable; urgency=medium

  * Convert quilt patches to gbp-pq format
  * Add new Fix-collector-test-int32-overflows.patch to fix test build failures
    on 32-bit archs caused by untyped int overflows

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Jul 2023 16:23:56 +0000

prometheus-postgres-exporter (0.13.1-1) unstable; urgency=medium

  * New upstream release
  * Add missing Build-Depends
  * Bump prometheus libraries Build-Depends versions

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Jul 2023 11:59:43 +0000

prometheus-postgres-exporter (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 01-support-newer-exporter-toolkit.patch
  * Add new 01-Revert_kingpin_import_path.patch
  * Bump various Build-Depends version constraints
  * Add missing Build-Depends:
    - golang-github-prometheus-client-model-dev
    - golang-gopkg-yaml.v3-dev
  * Bump Standards-Version to 4.6.2 (no changes)
  * Add NEWS entry regarding breaking changes from upstream

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 25 Jun 2023 15:21:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-postgres-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -9,15 +10,19 @@
                dh-sequence-golang,
                golang-any,
                golang-github-blang-semver-dev,
+               golang-github-data-dog-go-sqlmock-dev,
                golang-github-go-kit-log-dev,
-               golang-github-lib-pq-dev (>= 1.2.0~),
-               golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-lib-pq-dev (>= 1.10.7),
+               golang-github-prometheus-client-golang-dev (>= 1.15.1),
+               golang-github-prometheus-client-model-dev (>= 0.4.0),
+               golang-github-prometheus-common-dev (>= 0.44.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.1
+               golang-gopkg-yaml.v3-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,4 @@
 	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1
 
 override_dh_auto_install:
+	dh_auto_install -- --no-source

## prometheus-postgres-exporter 0.15.0

=== postgres_mixin/Makefile ===
JSONNET_FMT := jsonnetfmt -n 2 --max-blank-lines 2 --string-style s --comment-style s

default: build

all: fmt lint build clean

fmt:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		xargs -n 1 -- $(JSONNET_FMT) -i

lint:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		while read f; do \
			$(JSONNET_FMT) "$$f" | diff -u "$$f" -; \
		done

	mixtool lint mixin.libsonnet

build:
	mixtool generate all mixin.libsonnet

clean:
	rm -rf dashboards_out alerts.yaml rules.yaml

=== debian/changelog ===
prometheus-postgres-exporter (0.15.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 11:11:58 +1000

prometheus-postgres-exporter (0.15.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:30:24 +1000

prometheus-postgres-exporter (0.15.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 10:52:59 +0530

prometheus-postgres-exporter (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches (applied upstream):
    - 0002-Fix-collector-test-untyped-int-overflows.patch
    - 0003-Fix-TestMetric-fixtures.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 27 Oct 2023 22:51:06 +0000

prometheus-postgres-exporter (0.14.0-3) unstable; urgency=medium

  * Add new Fix-TestMetric-fixtures.patch (Closes: #1054202)
  * Bump minimum required golang-github-prometheus-client-golang-dev version
    to 1.17.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Oct 2023 17:28:09 +0000

prometheus-postgres-exporter (0.14.0-2) unstable; urgency=medium

  * Add new Fix-collector-test-untyped-int-overflows.patch to fix a new case
    of test build failures on 32-bit archs

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Sep 2023 12:31:48 +0000

prometheus-postgres-exporter (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Fix-collector-test-int32-overflows.patch (applied upstream)
  * debian/rules: modernize style to match other exporter packages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 20 Sep 2023 11:37:30 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-data-dog-go-sqlmock-dev,
                golang-github-go-kit-log-dev,
                golang-github-lib-pq-dev (>= 1.10.7),
-               golang-github-prometheus-client-golang-dev (>= 1.15.1),
+               golang-github-prometheus-client-golang-dev (>= 1.17.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

export DH_GOLANG_INSTALL_EXTRA := cmd/postgres_exporter/tests/

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/postgres_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for PostgreSQL
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus-community/postgres_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-postgres-exporter 0.16.0

=== debian/changelog ===
prometheus-postgres-exporter (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches:
    - 0002-Support-prometheus-common-v0.50.0.patch
    - 0003-Cherry-pick-upstream-PR-1048.patch
  * Refresh patches
  * Drop no longer used golang-github-go-kit-log-dev Build-Depends
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 19 Nov 2024 21:47:39 +0000

prometheus-postgres-exporter (0.15.0-4) unstable; urgency=medium

  * Add new 0003-Cherry-pick-upstream-PR-1048.patch (Closes: #1071260)
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 22 Sep 2024 22:14:46 +0000

prometheus-postgres-exporter (0.15.0-3) unstable; urgency=medium

  * Update debian/README with modernized instructions for creating the
    Postgres exporter user, along with instructions for cleaning up the
    previous method (Closes: #1067405)
  * Modernize init.d script and fix a few copypasta mistakes
  * Drop obsolete Depends: daemon | systemd-sysv
  * Add missing debian/logrotate

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 07 May 2024 19:18:24 +0000

prometheus-postgres-exporter (0.15.0-2) unstable; urgency=medium

  * Add new 0002-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Mar 2024 02:25:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-postgres-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -8,12 +7,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.21~),
                golang-github-blang-semver-dev,
                golang-github-data-dog-go-sqlmock-dev,
-               golang-github-go-kit-log-dev,
                golang-github-lib-pq-dev (>= 1.10.7),
-               golang-github-prometheus-client-golang-dev (>= 1.17.0),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
@@ -22,7 +20,7 @@
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
@@ -33,7 +31,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},

## prometheus-postgres-exporter 0.17.0

=== debian/changelog ===
prometheus-postgres-exporter (0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)
  * Bump Standards-Version to 4.7.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 23 Feb 2025 02:24:55 +0000

## prometheus-postgres-exporter 0.17.1

=== debian/changelog ===
prometheus-postgres-exporter (0.17.1-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 15:59:09 +0000

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
